2018-08-08  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (VERSION): XEmacs package 1.39 released.

2018-08-08  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/hebrew.el: Rename this given build conflicts with XEmacs
	21.4 trunk, thank you Hauke Fath.
	* quail/hebrew-input.el: New name for hebrew.el.
	* Makefile:
	Update the Makefile with the new name.
	* leim-list.el: Update the input methods registered at startup
	with the new name.

2014-10-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2014-09-29  Jerry James  <james@xemacs.org>

	* Makefile: move elisp files in EXTRA_SOURCES to ELCS_1 instead if
	XEMACS_21_5 is set.

2014-09-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2014-08-04  Jerry James  <james@xemacs.org>

	* quail/sisheng.el (assoc-string): Remove, now available from
	xemacs-base.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.

2014-01-21  Aidan Kehoe  <kehoea@parhasard.net>

	Import GNU's Hebrew input methods, thank you GNU, thank you Uwe
	Brauer!

	* leim-list.el:
	Make the Hebrew input methods available here.
	* Makefile:
	* Makefile (EXTRA_SOURCES):
	Install hebrew.el uncompiled, since it's not computationally
	intensive (compiling it doesn't bring much) and 21.4, which
	compiles the packages, chokes on it.

	* quail/hebrew.el:
	* quail/hebrew.el ("hebrew"):
	Update.
	* quail/hebrew.el ("hebrew-new"): New.
	* quail/hebrew.el ("hebrew-lyx"): New.
	* quail/hebrew.el ("hebrew-full"): New.
	* quail/hebrew.el ("hebrew-biblical-tiro"): New.
	* quail/hebrew.el ("hebrew-biblical-sil"): New.
	* quail/hebrew.el ("yiddish-royal"): New.
	* quail/hebrew.el ("yiddish-keyman"): New.
	* quail/hebrew.el ("hebrew-phonetic-xkb"): New.
	* quail/hebrew.el ("hebrew-phonetic-qwerty"): New.

2013-09-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2013-08-03  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el (quail-define-rules):
	Check for duplicate rules, warn about same.
	GNU silently merges such rules, but XEmacs doesn't, and this is
	saner behaviour, it's easier to miss identical rules textually far
	away when reading the code.
	* quail.el (quail-install-map):
	Backslash a parenthesis for the sake of fontification.
	* quail/latin-post.el:
	Merge duplicates explicitly in latin-1-postfix, spanish-postfix,
	turkish-latin-3-postfix, turkish-postfix, and latin-postfix.
	Rewrite the code generation for latin-postfix to do more at
	compile time, and to check for duplicates and warn.

2011-10-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2011-06-18  Aidan Kehoe  <kehoea@parhasard.net>

	* leim-list.el: Update to reflect new input method names.

	* quail/ipa-21.5.el:
	Sync these changes from GNU:

    2009-08-31  Juri Linkov  <juri@jurta.org>
    
	* quail/ipa.el ("ipa"): Set `forget-last-selection' to nil.
	("ipa-x-sampa"): Set `forget-last-selection' to nil.
	Set `deterministic' to nil.
	("ipa"): Bind "g" to U+0261, and "tsh" to a list of "U+02A7",
	"U+0074 U+0283", "U+0074 U+2040 U+0283".
	("ipa-kirshenbaum", ipa-x-sampa"): Bind "g" to U+0261, and "tS"
	to a list of "U+02A7", "U+0074 U+0283", "U+0074 U+2040 U+0283".
	Fix comments.
    
    2009-08-31  Juri Linkov  <juri@jurta.org>
    
	* quail/ipa.el ("ipa-kirshenbaum"): Rename from "kirshenbaum-ipa".
	("ipa-x-sampa"): Rename from "x-sampa-ipa".
	(ipa-x-sampa-implosive-submap): Rename from
	x-sampa-implosive-submap.
	(ipa-x-sampa-prepend-to-keymap-entry): Rename from
	x-sampa-prepend-to-keymap-entry.
	(ipa-x-sampa-underscore-implosive): Rename from
	x-sampa-underscore-implosive.
	(ipa-x-sampa-implosive-submap): Move before first use.

2010-09-05  Norbert Koch  viteno@xemacs.org

	* Makefile (VERSION): XEmacs package 1.32 released.

2010-09-03  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el:
	* quail.el (quail-translation-keymap):
	* quail.el (quail-simple-translation-keymap):
	* quail.el (quail-set-keyboard-layout):
	* quail.el (quail-update-current-translations):
	* quail.el (frame-char-height): New.
	* quail.el (quail-completion-list-translations):
	* quail.el (quail-translation-help):
	* quail.el (quail-update-leim-list-file):
	Make the #'define-key syntax in this file conform to our
	documentation; eliminate byte-compiler warnings, in the process
	fixing at least two honest-to-goodness bugs.

2010-02-21  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2010-02-18  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/latin-pre.el ("/ "):
	Map this input sequence to slash, as do GNU. This file could do
	with some general syncing, but this specific problem has been
	annoying Uwe, and syncing will be easier after the licence issue
	has settled.

2010-02-18  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el (quail-translation-keymap)
	(quail-simple-translation-keymap):
	Changes these variables to reflect XEmacs backspace behaviour.
	(quail-delete-backward-char): Rename this, to better reflect what
	is in simple.el. Provide an alias for anyone else who uses the old
	name.
	(quail-backward-or-forward-delete-char): New function, a Quail
	equivalent of #'backward-or-forward-delete-char.

2010-02-18  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el (quail-mode-map): 
	Avoid meta-vs-latin-1 confusion in this variable, fixing M-y with
	Quail. Thank you for the bug report, Uwe Brauer!

2010-01-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2010-01-20  Aidan Kehoe  <kehoea@parhasard.net>

	* leim-list.el ("czech-translit"):
	* quail/czech.el:
	Add Richard Zidlicky's czech-translit input method; see
	http://mid.xemacs.org/20100119182357.GA6131@linux-m68k.org .  Thank
	you Richard!

2009-08-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2009-08-14  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el (quail-show-guidance-buf): 
	Use #'frame-lowest-window, not #'window-at, when working out what
	the lowest window is. Thank you Julian Bradfield!

2009-01-01  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2008-12-31  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/ipa-21.5.el ("kirshenbaum-ipa"):
	Correct the mapping for P, it should be to U+0278, as it is in the
	X-SAMPA map. 
	* quail/ipa-21.5.el (x-sampa-prepend-to-keymap-entry):
	Correct the syntax of a lambda's quote, use #' instead of '. 

2008-01-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2008-01-14  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/latin-ltx.el ("TeX2):
	Correct the mappings for \v{k} and \vk.

2007-10-08  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2007-10-07  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/latin-alt.el:
	Add rot13, a new input method.
	* quail/cyrillic-tajik.el:
	Add cyrillic-tajik, a new input method.
	* quail/CTLauB.el:
	Remove CTLauB.el; use the more recent CTLau-b5.el from GNU
	instead. 

2007-10-07  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile:
	Add the input method files that are not to be compiled to
	EXTRA_SOURCES, to have them actually installed with the package.
	* leim-list.el:
	Provide several input methods that were previously ignored in
	leim-list.el; especially those that only work on 21.5. Document
	things a little more. 

2007-05-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2007-05-20  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/latin-pre.el:
	Require latin-euro-standards.
	* quail/latin-pre.el ("latin-10-prefix"):
	* quail/latin-pre.el ("latin-4-prefix"):
	* quail/latin-pre.el ("latin-5-prefix"):
	* quail/latin-pre.el ("latin-7-prefix"):
	* quail/latin-pre.el ("latin-8-prefix"):
	* quail/latin-pre.el ("latin-9-prefix"):
	* quail/latin-pre.el ("latin-prefix"):
	* quail/latin-pre.el ("polish-slash"):
	Import these input methods from GNU, add latin-4-prefix
	independently. Change to make-char instead of providing character
	literals; otherwise byte-compile under 21.4 throws an error in the
	Lisp reader. 

2007-05-20  Aidan Kehoe  <kehoea@parhasard.net>

	* Makefile (REQUIRES):
	Require latin-euro-standards, to allow us to provide
	latin-{7,8,9,10} input methods.
	* leim-list.el:
	Register the new input methods on startup. 
	* quail.el (quail-lookup-key):
	Accept one more argument in quail-lookup-key, as GNU does. 
	* quail.el (quail-map-from-table): New.
	* quail.el (quail-map-from-table-1): New.
	* quail.el (quail-map-from-table-2): New.
	* quail.el (quail-lookup-map-and-concat): New.
	Import all four functions from GNU. 

2006-08-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2006-07-30  Aidan Kehoe  <kehoea@parhasard.net>

	* quail/CTLau-b5.el:
	* quail/ethiopic.el:
	* quail/georgian.el:
	* quail/hanja3.el:
	* quail/hebrew.el:
	* quail/latin-ltx.el:
	* quail/sgml-input.el:
	* quail/sisheng.el:
	* quail/slovak.el:
	* quail/vntelex.el:
	* quail/welsh.el:
	Import various input methods from GNU Emacs. Not included here are
	japanese.el -- we don't include the necessary kkc.el -- lao.el,
	thai.el, lrt.el, indian.el -- we don't include the necessary
	-util.el files, or they're broken on 21.5, or ucs-input.el which
	is both slightly broken on XEmacs and of limited use. 

	The input methods that use Han characters were straight from the
	GNU files, without changes. The rest tend to have changes, and
	some of them are incompatbile with 21.4 and raise an error on
	being loaded in 21.4, though compiling should work. 
	
	* quail/ipa-21.5.el:
	Extend ipa.el to support kirshenbaum and X-SAMPA transliteration;
	re-encode it as UTF-8; rename it to ipa-21.5.el and check that a
	capable version of the editor is being used before loading it. 

	* quail/quail/4Corner.el:
	* quail/quail/ARRAY30.el:
	* quail/quail/CCDOSPY.el:
	* quail/quail/CTLau.el:
	* quail/quail/ECDICT.el:
	* quail/quail/ETZY.el:
	* quail/quail/PY-b5.el:
	* quail/quail/PY.el:
	* quail/quail/Punct-b5.el:
	* quail/quail/Punct.el:
	* quail/quail/QJ-b5.el:
	* quail/quail/QJ.el:
	* quail/quail/SW.el:
	* quail/quail/TONEPY.el:
	* quail/quail/ZIRANMA.el:
	* quail/quail/ZOZY.el:
	* quail/quail/croatian.el:
	* quail/quail/cyril-jis.el:
	* quail/quail/cyrillic.el:
	* quail/quail/czech.el:
	* quail/quail/greek.el:
	* quail/quail/hangul.el:
	* quail/quail/hangul3.el:
	* quail/quail/hanja-jis.el:
	* quail/quail/hanja.el:
	* quail/quail/latin-alt.el:
	* quail/quail/latin-post.el:
	* quail/quail/py-punct.el:
	* quail/quail/quick-b5.el:
	* quail/quail/quick-cns.el:
	* quail/quail/symbol-ksc.el:
	* quail/quail/tsang-b5.el:
	* quail/quail/tsang-cns.el:
	* quail/quail/viqr.el:
	Sync with GNU Emacs. This involves re-encoding the GNU files using
	standard character sets instead of `mule-unicode-0100-24ff';
	checking for XEmacs support of various characters before adding
	them to the map, mostly for 21.4 compatibility, (see the
	-xemacs-decent-unicode-support), using iso-8859-8 and ctext
	instead of iso-2022-7bit for hebrew.el, sisheng.el respectively,
	since 21.4 couldn't handle their contents in iso-2022-7bit.  
	
2006-06-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.23 released.

2006-06-03  Aidan Kehoe  <kehoea@parhasard.net>

	* quail.el (quail-define-rules):
	* quail.el (quail-defrule):
	Document in more detail what happens when a function symbol is
	specified as the Quail translation for a key. 
	* quail.el (quail-show-translations):
	Check that quail-overlay is an overlay before trying to move
	it. Fixes an occasional "Wrong type argument: overlayp, nil"
	message in XEmacs 21.5.
	
2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.22 released.

2003-07-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.21 released.

2003-05-15  Stephen J. Turnbull  <stephen@xemacs.org>

	* quail.el (quail-directory-name): Fix docstring typo.

2003-03-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Revert previous change.

2003-03-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP): Explicitly set so we don't try
	to build custom-loads, this package doesn't have any.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile (ELCS_1_DEST):
	* Makefile (EXTRA_OBJS): Removed.
	* Makefile (SOURCES): Removed.
	* Makefile (BASE_FILES): Removed.
	* Makefile (QUAIL_FILES): Removed.
	Delete explicit compile:: and binkit: rules.
	Delete code to error when no Mule (now automatic).
	Delete unused code to handle the unusual ELC layout;
	now handled automatically in XEmacs.rules withusing ELCS_1.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.20 released.

2002-12-17  Jerry James  <james@xemacs.org>

	* Makefile (REQUIRES): Add self so that quail-define-rules autoloads.

2002-12-07  Ville Skyttä  <scop@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-07-31  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.19 released.

2002-07-22  Ville Skyttä  <scop@xemacs.org>

	* leim-list.el: Fix spelling of "finnish".

	* quail/latin-post.el: Ditto.

2002-04-24  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.18 released.

2002-04-06  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS_1): Add croatian.elc

	* leim-list.el: Add entry for croatian.

2000-11-08  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (description): Add "MULE" to description.

2000-08-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EXTRA_OBJS): New variable.

2000-05-23  Karl M. Hegbloom  <karlheg@debian.org>

	* Makefile: Use BUILD_WITHOUT_MULE rather than BUILD_MULE.

2000-04-24  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* quail/czech.el: New file.
	* leim-list.el: Add Czech input methods.
	From: Petr Konecny <pekon@informatics.muni.cz>
	* Makefile: Add quail/czech.elc

1999-06-29  Naoto Takahashi  <ntakahas@mule.m17n.org>

	* quail/thai-xtis.el (quail-thai-update-translation): pali ru/lu
	support for sara aa.

1999-06-25  Kenichi Handa  <handa@mule.m17n.org>

	* quail/thai-xtis.el (quail-thai-update-translation): Delete unsed
	variable.

1999-06-25  Kenichi Handa  <handa@etl.go.jp>

	* leim-list.el ("thai-xtis"): New input method.

	* Makefile (ELCS_1): Add quail/thai-xtis.elc.

	* quail/thai-xtis.el: New file.

1998-07-23  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Don't build if XEmacs/no-Mule.

1998-04-09  Didier Verna  <verna@inf.enst.fr>

	* quail.el: replicated the `listify-key-sequence' code in
	`quail-execute-non-quail-command', since this function no longer
	exists.

1998-02-06  Didier Verna  <verna@inf.enst.fr>

	* quail.el (quail-start-translation): Fix previous patch by adding
	"_" to preserve the zmacs region.

1998-01-28  Didier Verna  <verna@inf.enst.fr>

	* quail.el (quail-start-translation): use 'P' instead of 'p'
	interactive call in order to get raw prefix arg.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.

1998-01-11  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-02  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-20  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
